<!--
  Generated template for the ManageProfilePage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar>
    <ion-title>{{'mange-profile.title'|translate}}</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>
  <div class="header">
    <!--<h2 [innerHTML]="'MYPROFILEPAGE.MYPROFYLE'|translate"></h2>-->
    <div class="info-user">
        <div class="image" [style.backgroundImage]="'url(' + profilePicture + ')'" (click)="updateProfilePicture()">
            <div class="placeholder">
                <ion-icon name="camera"></ion-icon>
            </div>
        </div>
    </div>
  </div>
  <form [formGroup]="registerForm">
      <div class="message-error" *ngIf="getErrorMessage() != ''">{{ getErrorMessage() }}</div>
      <ion-list>
          <ion-item class="no-bg" focusing>
              <ion-label stacked>{{'mange-profile.fullname'|translate}}</ion-label>
              <ion-input type="text" placeholder="{{'mange-profile.fullname'|translate}}" formControlName="fullname"></ion-input>
          </ion-item>
          <ion-item class="no-bg" focusing>
              <ion-label stacked>{{'mange-profile.cardno'|translate}}</ion-label>
              <ion-input type="text" placeholder="{{'mange-profile.cardno'|translate}}" formControlName="cardno" [readonly]="true"></ion-input>
              <button ion-button icon-only item-right color="light" class="lock-btn"><ion-icon name="lock"></ion-icon></button>
          </ion-item>
          <ion-row>
              <ion-col col-6>
                  <ion-item class="no-bg">
                      <ion-label stacked>{{'mange-profile.gender'|translate}}</ion-label>
                      <ion-select formControlName="gender">
                          <ion-option value="1">{{'mange-profile.man'|translate}}</ion-option>
                          <ion-option value="2">{{'mange-profile.female'|translate}}</ion-option>
                      </ion-select>
                  </ion-item>
              </ion-col>
              <ion-col col-6>
                  <ion-item class="no-bg">
                      <ion-label stacked>{{'mange-profile.birthdate'|translate}}</ion-label>
                      <ion-datetime displayFormat="DD/MM/YYYY" max="{{maxDate}}"
                                    formControlName="dateOfBirth">
                      </ion-datetime>
                  </ion-item>
              </ion-col>
          </ion-row>
          <ion-item class="no-bg" focusing>
              <ion-label stacked>{{'mange-profile.address'|translate}}</ion-label>
              <ion-input type="text" placeholder="{{'mange-profile.address'|translate}}" formControlName="address"></ion-input>
          </ion-item>
          <ion-item class="no-bg" focusing>
              <ion-label stacked>{{'mange-profile.email'|translate}}</ion-label>
              <ion-input type="text" placeholder="{{'mange-profile.email'|translate}}" formControlName="email" [readonly]="true"></ion-input>
              <!--<button type="button" ion-button icon-only>-->
                  <!--<ion-icon name="lock"></ion-icon>-->
              <!--</button>-->
              <button ion-button icon-only item-right color="light" class="lock-btn"><ion-icon name="lock"></ion-icon></button>
          </ion-item>
          <ion-item class="no-bg" focusing>
              <ion-label stacked>{{'mange-profile.phonenumber'|translate}}</ion-label>
              <ion-input type="number" placeholder="{{'mange-profile.phonenumber'|translate}}" formControlName="phone"></ion-input>
          </ion-item>
      </ion-list>
      <button type="button" class="sign-in" color="light" ion-button full (click)="onSubmit()">{{ 'mange-profile.updateprofile' | translate }}</button>
  </form>
</ion-content>
